Main Page Class Hierarchy Compound List File List Compound Members File Members

# sudshead.h File Reference

Go to the source code of this file.

## Compounds
struct | _CHANSETENTRY
struct | _SUDS
struct | COMPLEXX
struct | D_COMPLEX
struct | SUDS_ATODINFO
struct | SUDS_CALIBR
struct | SUDS_CALIBRATION
struct | SUDS_CHANSET
struct | SUDS_CODES
struct | SUDS_COMMENT
struct | SUDS_DESCRIPTRACE
struct | SUDS_DETECTOR
struct | SUDS_EQUIPMENT
struct | SUDS_ERROR
struct | SUDS_EVDESCR
struct | SUDS_EVENT
struct | SUDS_EVENTSETTING
struct | SUDS_FEATURE
struct | SUDS_FOCALMECH
struct | SUDS_FORM
struct | SUDS_INSTRUMENT
struct | SUDS_LAYERS
struct | SUDS_LOCTRACE
struct | SUDS_MOMENT
struct | SUDS_MUXDATA
struct | SUDS_ORIGIN
struct | SUDS_PROFILE
struct | SUDS_RESIDUAL
struct | SUDS_SHOTGATHER
struct | SUDS_STATIDENT
struct | SUDS_STATIONCOMP
struct | SUDS_STRUCTTAG
struct | SUDS_TERMINATOR
struct | SUDS_TIMECORRECTION
struct | SUDS_TRIGGERS
struct | SUDS_TRIGSETTING
struct | SUDS_VELMODEL
struct | TENSOR
struct | VECTOR
## Defines
#define | _SUDS_VERSION "1.44"
#define | MACHINE '6'
#define | NODATA "-32767."
#define | NOTIME "-2147472000"
#define | NOCHAR "_"
#define | NOSTRG ""
#define | NOLIST "0"
#define | CHR 1
#define | MIN 2
#define | STR 3
#define | BTS 4
#define | SHT 5
#define | LNG 6
#define | FLT 7
#define | DBL 8
#define | STI 9
#define | STT 10
#define | MST 11
#define | LLT 12
#define | CAL 13
#define | CPX 14
#define | BTW 15
#define | NO_STRUCT 0
#define | STAT_IDENT 1
#define | STRUCTTAG 2
#define | TERMINATOR 3
#define | EQUIPMENT 4
#define | STATIONCOMP 5
#define | MUXDATA 6
#define | DESCRIPTRACE 7
#define | LOCTRACE 8
#define | CALIBRATION 9
#define | FEATURE 10
#define | RESIDUAL 11
#define | EVENT 12
#define | EV_DESCRIPT 13
#define | ORIGIN 14
#define | ERROR 15
#define | FOCALMECH 16
#define | MOMENT 17
#define | VELMODEL 18
#define | LAYERS 19
#define | COMMENT 20
#define | PROFILE 21
#define | SHOTGATHER 22
#define | CALIB 23
#define | COMPLEX 24
#define | TRIGGERS 25
#define | TRIGSETTING 26
#define | EVENTSETTING 27
#define | DETECTOR 28
#define | ATODINFO 29
#define | TIMECORRECTION 30
#define | INSTRUMENT 31
#define | CHANSET 32
#define | TOTAL_STRUCTS 32
#define | ST_MAGIC 'S'
#define | NOCALPTS 30
#define | SUDS_EOF -1
#define | SUDS_READONLY 1
#define | SUDS_READWRITE 2
#define | SUDS_APPEND 3
#define | SUDS_CREATE 4
#define | TRUE 1
#define | FALSE 0
## Typedefs
typedef char | CHAR
typedef char | MINI
typedef char | STRING
typedef unsigned char | BITS8
typedef unsigned short | BITS16
typedef short | SH_INT
typedef long | LG_INT
typedef float | FLOAT
typedef double | DOUBLE
typedef LG_INT | ST_TIME
typedef DOUBLE | MS_TIME
typedef DOUBLE | LONLAT
typedef _CHANSETENTRY | CHANSETENTRY
typedef _SUDS | SUDS
## Functions
int | suds_open (char *filespec, int mode)
int | suds_close (int fd)
int | suds_read (int fd, SUDS *suds)
int | suds_read_data (int fd, void *ptr, long len)
int | suds_write (int fd, SUDS *suds)
int | suds_write_data (int fd, void *ptr, long len)
int | suds_update (int fd, SUDS *suds)
int | suds_flush (int fd)
long | suds_pos (int fd)
long | suds_abs_pos (int fd)
int | suds_seek (int fd, long pos)
int | suds_rewind (int fd)
char * | suds_get_err (void)
void | suds_init (SUDS *suds)
double | get_mstime (void)
double | make_mstime (int year, int month, int day, int hour, int minute, double second)
int | decode_mstime (double mstime, int *year, int *month, int *day, int *hour, int *minute, double *second)
char * | list_mstime (double mstime, int format)
int | yrday (int month, int day, int leap)
void | mnday (int doy, int leap, int *month, int *day)
int | isleap (int year, int cal)

## Define Documentation

#define _SUDS_VERSION "1.44"

| Definition at line 25 of file sudshead.h.

#define ATODINFO 29

| Definition at line 124 of file sudshead.h.

#define BTS 4

| Definition at line 78 of file sudshead.h.

#define BTW 15

| Definition at line 89 of file sudshead.h.

#define CAL 13

| Definition at line 87 of file sudshead.h.

#define CALIB 23

| Definition at line 118 of file sudshead.h.

#define CALIBRATION 9

| Definition at line 101 of file sudshead.h.

#define CHANSET 32

| Definition at line 127 of file sudshead.h.

#define CHR 1

| Definition at line 75 of file sudshead.h.

#define COMMENT 20

| Definition at line 115 of file sudshead.h.

#define COMPLEX 24

| Definition at line 119 of file sudshead.h.

#define CPX 14

| Definition at line 88 of file sudshead.h.

#define DBL 8

| Definition at line 82 of file sudshead.h.

#define DESCRIPTRACE 7

| Definition at line 99 of file sudshead.h. Referenced by SUDSPA_next(), and SwapDo().

#define DETECTOR 28

| Definition at line 123 of file sudshead.h. Referenced by SwapDo().

#define EQUIPMENT 4

| Definition at line 96 of file sudshead.h.

#define ERROR 15

| Definition at line 110 of file sudshead.h.

#define EV_DESCRIPT 13

| Definition at line 105 of file sudshead.h.

#define EVENT 12

| Definition at line 104 of file sudshead.h.

#define EVENTSETTING 27

| Definition at line 122 of file sudshead.h.

#define FALSE 0

| Definition at line 772 of file sudshead.h.

#define FEATURE 10

| Definition at line 102 of file sudshead.h.

#define FLT 7

| Definition at line 81 of file sudshead.h.

#define FOCALMECH 16

| Definition at line 111 of file sudshead.h.

#define INSTRUMENT 31

| Definition at line 126 of file sudshead.h.

#define LAYERS 19

| Definition at line 114 of file sudshead.h.

#define LLT 12

| Definition at line 86 of file sudshead.h.

#define LNG 6

| Definition at line 80 of file sudshead.h.

#define LOCTRACE 8

| Definition at line 100 of file sudshead.h.

#define MACHINE '6'

| Definition at line 65 of file sudshead.h.

#define MIN 2

| Definition at line 76 of file sudshead.h.

#define MOMENT 17

| Definition at line 112 of file sudshead.h.

#define MST 11

| Definition at line 85 of file sudshead.h.

#define MUXDATA 6

| Definition at line 98 of file sudshead.h.

#define NO_STRUCT 0

| Definition at line 92 of file sudshead.h.

#define NOCALPTS 30

| Definition at line 236 of file sudshead.h.

#define NOCHAR "_"

| Definition at line 70 of file sudshead.h.

#define NODATA "-32767."

| Definition at line 68 of file sudshead.h.

#define NOLIST "0"

| Definition at line 72 of file sudshead.h.

#define NOSTRG ""

| Definition at line 71 of file sudshead.h.

#define NOTIME "-2147472000"

| Definition at line 69 of file sudshead.h.

#define ORIGIN 14

| Definition at line 106 of file sudshead.h.

#define PROFILE 21

| Definition at line 116 of file sudshead.h.

#define RESIDUAL 11

| Definition at line 103 of file sudshead.h.

#define SHOTGATHER 22

| Definition at line 117 of file sudshead.h.

#define SHT 5

| Definition at line 79 of file sudshead.h.

#define ST_MAGIC 'S'

| Definition at line 197 of file sudshead.h.

#define STAT_IDENT 1

| Definition at line 93 of file sudshead.h.

#define STATIONCOMP 5

| Definition at line 97 of file sudshead.h. Referenced by SUDSPA_next(), and SwapDo().

#define STI 9

| Definition at line 83 of file sudshead.h.

#define STR 3

| Definition at line 77 of file sudshead.h.

#define STRUCTTAG 2

| Definition at line 94 of file sudshead.h. Referenced by SwapDo().

#define STT 10

| Definition at line 84 of file sudshead.h.

#define SUDS_APPEND 3

| Definition at line 765 of file sudshead.h.

#define SUDS_CREATE 4

| Definition at line 766 of file sudshead.h.

#define SUDS_EOF -1

| Definition at line 762 of file sudshead.h.

#define SUDS_READONLY 1

| Definition at line 763 of file sudshead.h.

#define SUDS_READWRITE 2

| Definition at line 764 of file sudshead.h.

#define TERMINATOR 3

| Definition at line 95 of file sudshead.h.

#define TIMECORRECTION 30

| Definition at line 125 of file sudshead.h. Referenced by SwapDo().

#define TOTAL_STRUCTS 32

| Definition at line 129 of file sudshead.h.

#define TRIGGERS 25

| Definition at line 120 of file sudshead.h. Referenced by SwapDo().

#define TRIGSETTING 26

| Definition at line 121 of file sudshead.h.

#define TRUE 1

| Definition at line 769 of file sudshead.h.

#define VELMODEL 18

| Definition at line 113 of file sudshead.h.

## Typedef Documentation

typedef unsigned short BITS16

| Definition at line 137 of file sudshead.h.

typedef unsigned char BITS8

| Definition at line 136 of file sudshead.h.

typedef struct _CHANSETENTRY CHANSETENTRY

typedef char CHAR

| Definition at line 133 of file sudshead.h.

typedef double DOUBLE

| Definition at line 141 of file sudshead.h.

typedef float FLOAT

| Definition at line 140 of file sudshead.h.

typedef long LG_INT

| Definition at line 139 of file sudshead.h.

typedef DOUBLE LONLAT

| Definition at line 163 of file sudshead.h.

typedef char MINI

| Definition at line 134 of file sudshead.h.

typedef DOUBLE MS_TIME

| Definition at line 161 of file sudshead.h.

typedef short SH_INT

| Definition at line 138 of file sudshead.h.

typedef LG_INT ST_TIME

| Definition at line 159 of file sudshead.h.

typedef char STRING

| Definition at line 135 of file sudshead.h.

typedef struct _SUDS SUDS

## Function Documentation

int decode_mstime | ( | double | mstime,
|  | int * | year,
|  | int * | month,
|  | int * | day,
|  | int * | hour,
|  | int * | minute,
|  | double * | second
| ) |

double get_mstime | ( | void |  | ) |

int isleap | ( | int | year,
|  | int | cal
| ) |

char* list_mstime | ( | double | mstime,
|  | int | format
| ) |

double make_mstime | ( | int | year,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | minute,
|  | double | second
| ) |

void mnday | ( | int | doy,
|  | int | leap,
|  | int * | month,
|  | int * | day
| ) |

long suds_abs_pos | ( | int | fd | ) |

int suds_close | ( | int | fd | ) |

int suds_flush | ( | int | fd | ) |

char* suds_get_err | ( | void |  | ) |

void suds_init | ( | SUDS * | suds | ) |

int suds_open | ( | char * | filespec,
|  | int | mode
| ) |

long suds_pos | ( | int | fd | ) |

int suds_read | ( | int | fd,
|  | SUDS * | suds
| ) |

int suds_read_data | ( | int | fd,
|  | void * | ptr,
|  | long | len
| ) |

int suds_rewind | ( | int | fd | ) |

int suds_seek | ( | int | fd,
|  | long | pos
| ) |

int suds_update | ( | int | fd,
|  | SUDS * | suds
| ) |

int suds_write | ( | int | fd,
|  | SUDS * | suds
| ) |

int suds_write_data | ( | int | fd,
|  | void * | ptr,
|  | long | len
| ) |

int yrday | ( | int | month,
|  | int | day,
|  | int | leap
| ) |